VTK: vtkBlueObeliskData Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtkBlueObeliskData Class Reference

Contains chemical data from the Blue Obelisk Data Repository. More...

`#include <vtkBlueObeliskData.h>`

Inheritance diagram for vtkBlueObeliskData:
[legend]
Collaboration diagram for vtkBlueObeliskData:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkBlueObeliskData * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Initialize ()
| Fill this object using an internal vtkBlueObeliskDataParser instance. More...
bool | IsInitialized ()
| Check if this object has been initialized yet. More...
| vtkGetNewMacro (Masses, vtkFloatArray)
| vtkGetNewMacro (ExactMasses, vtkFloatArray)
| vtkGetNewMacro (IonizationEnergies, vtkFloatArray)
| vtkGetNewMacro (ElectronAffinities, vtkFloatArray)
| vtkGetNewMacro (PaulingElectronegativities, vtkFloatArray)
| vtkGetNewMacro (CovalentRadii, vtkFloatArray)
| vtkGetNewMacro (VDWRadii, vtkFloatArray)
| vtkGetNewMacro (DefaultColors, vtkFloatArray)
| vtkGetNewMacro (BoilingPoints, vtkFloatArray)
| vtkGetNewMacro (MeltingPoints, vtkFloatArray)
| vtkGetNewMacro (Periods, vtkUnsignedShortArray)
| vtkGetNewMacro (Groups, vtkUnsignedShortArray)
void | LockWriteMutex ()
| Lock the mutex that protects the arrays during a call to Initialize(). More...
void | UnlockWriteMutex ()
| Unlock the mutex that protects the arrays during a call to Initialize(). More...
virtual unsigned short | GetNumberOfElements ()
| Return the number of elements for which this vtkBlueObeliskData instance contains information. More...
| vtkGetNewMacro (Symbols, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (LowerSymbols, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (Names, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (LowerNames, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (PeriodicTableBlocks, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (ElectronicConfigurations, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
| vtkGetNewMacro (Families, vtkStringArray)
| Access the raw arrays stored in this vtkBlueObeliskData. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkBlueObeliskData * | SafeDownCast (vtkObjectBase *o)
static vtkBlueObeliskData * | New ()
static bool | GenerateHeaderFromXML (std::istream &xml, std::ostream &header)
| Static method to generate the data header file used by this class from the BODR elements.xml. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkBlueObeliskData ()
| ~vtkBlueObeliskData () override
virtual vtkTypeBool | Allocate (vtkIdType sz, vtkIdType ext=1000)
| Allocate enough memory in each array for sz elements. More...
virtual void | Reset ()
| Reset each array. More...
virtual void | Squeeze ()
| Free any unused memory in the member arrays. More...
void | PrintSelfIfExists (const char *, vtkObject *, ostream &, vtkIndent)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
bool | Initialized
unsigned short | NumberOfElements
MyStdVectorOfVtkAbstractArrays * | Arrays
vtkNew< vtkStringArray > | Symbols
vtkNew< vtkStringArray > | LowerSymbols
vtkNew< vtkStringArray > | Names
vtkNew< vtkStringArray > | LowerNames
vtkNew< vtkStringArray > | PeriodicTableBlocks
vtkNew< vtkStringArray > | ElectronicConfigurations
vtkNew< vtkStringArray > | Families
vtkNew< vtkFloatArray > | Masses
vtkNew< vtkFloatArray > | ExactMasses
vtkNew< vtkFloatArray > | IonizationEnergies
vtkNew< vtkFloatArray > | ElectronAffinities
vtkNew< vtkFloatArray > | PaulingElectronegativities
vtkNew< vtkFloatArray > | CovalentRadii
vtkNew< vtkFloatArray > | VDWRadii
vtkNew< vtkFloatArray > | DefaultColors
vtkNew< vtkFloatArray > | BoilingPoints
vtkNew< vtkFloatArray > | MeltingPoints
vtkNew< vtkUnsignedShortArray > | Periods
vtkNew< vtkUnsignedShortArray > | Groups
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkBlueObeliskDataParser

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Contains chemical data from the Blue Obelisk Data Repository.

The Blue Obelisk Data Repository is a free, open repository of chemical information. This class is a container for this information.

Note
  This class contains only the raw arrays parsed from the BODR. For more convenient access to this data, use the vtkPeriodicTable class.
  If you must use this class directly, consider using the static vtkBlueObeliskData object accessible through vtkPeriodicTable::GetBlueObeliskData(). This object is automatically populated on the first instantiation of vtkPeriodicTable.

Tests:
  vtkBlueObeliskData (Tests)

Definition at line 45 of file vtkBlueObeliskData.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkBlueObeliskData::Superclass

Definition at line 48 of file vtkBlueObeliskData.h.

## Constructor & Destructor Documentation

## ◆ vtkBlueObeliskData()

vtkBlueObeliskData::vtkBlueObeliskData | ( |  | ) |
| protected

## ◆ ~vtkBlueObeliskData()

vtkBlueObeliskData::~vtkBlueObeliskData | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkBlueObeliskData::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkBlueObeliskData::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkBlueObeliskData* vtkBlueObeliskData::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkBlueObeliskData::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkBlueObeliskData* vtkBlueObeliskData::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkBlueObeliskData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkBlueObeliskData* vtkBlueObeliskData::New | ( |  | ) |
| static

## ◆ Initialize()

void vtkBlueObeliskData::Initialize | ( |  | ) |

Fill this object using an internal vtkBlueObeliskDataParser instance.

Wrap this call with calls to LockWriteMutex and UnlockWriteMutex before calling this method on a static instance in a multithreaded environment.

## ◆ IsInitialized()

bool vtkBlueObeliskData::IsInitialized | ( |  | ) |
| inline

Check if this object has been initialized yet.

Definition at line 62 of file vtkBlueObeliskData.h.

## ◆ LockWriteMutex()

void vtkBlueObeliskData::LockWriteMutex | ( |  | ) |

Lock the mutex that protects the arrays during a call to Initialize().

## ◆ UnlockWriteMutex()

void vtkBlueObeliskData::UnlockWriteMutex | ( |  | ) |

Unlock the mutex that protects the arrays during a call to Initialize().

## ◆ GetNumberOfElements()

virtual unsigned short vtkBlueObeliskData::GetNumberOfElements | ( |  | ) |
| virtual

Return the number of elements for which this vtkBlueObeliskData instance contains information.

## ◆ vtkGetNewMacro() [1/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Symbols | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [2/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | LowerSymbols | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [3/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Names | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [4/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | LowerNames | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [5/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | PeriodicTableBlocks | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [6/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | ElectronicConfigurations | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [7/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Families | ,
|  | vtkStringArray |
| ) |  |

Access the raw arrays stored in this vtkBlueObeliskData.

## ◆ vtkGetNewMacro() [8/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Masses | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [9/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | ExactMasses | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [10/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | IonizationEnergies | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [11/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | ElectronAffinities | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [12/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | PaulingElectronegativities | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [13/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | CovalentRadii | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [14/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | VDWRadii | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [15/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | DefaultColors | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [16/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | BoilingPoints | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [17/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | MeltingPoints | ,
|  | vtkFloatArray |
| ) |  |

## ◆ vtkGetNewMacro() [18/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Periods | ,
|  | vtkUnsignedShortArray |
| ) |  |

## ◆ vtkGetNewMacro() [19/19]

vtkBlueObeliskData::vtkGetNewMacro | ( | Groups | ,
|  | vtkUnsignedShortArray |
| ) |  |

## ◆ GenerateHeaderFromXML()

static bool vtkBlueObeliskData::GenerateHeaderFromXML | ( | std::istream & | xml,
|  | std::ostream & | header
| ) |  |
| static

Static method to generate the data header file used by this class from the BODR elements.xml.

See the GenerateBlueObeliskHeader test in this module.

## ◆ Allocate()

virtual vtkTypeBool vtkBlueObeliskData::Allocate | ( | vtkIdType | sz,
|  | vtkIdType | ext = `1000`
| ) |  |
| protectedvirtual

Allocate enough memory in each array for sz elements.

ext is not used.

## ◆ Reset()

virtual void vtkBlueObeliskData::Reset | ( |  | ) |
| protectedvirtual

Reset each array.

## ◆ Squeeze()

virtual void vtkBlueObeliskData::Squeeze | ( |  | ) |
| protectedvirtual

Free any unused memory in the member arrays.

## ◆ PrintSelfIfExists()

void vtkBlueObeliskData::PrintSelfIfExists | ( | const char * | ,
|  | vtkObject * | ,
|  | ostream & | ,
|  | vtkIndent |
| ) |  |
| protected

## Friends And Related Function Documentation

## ◆ vtkBlueObeliskDataParser

friend class vtkBlueObeliskDataParser
| friend

Definition at line 122 of file vtkBlueObeliskData.h.

## Member Data Documentation

## ◆ Initialized

bool vtkBlueObeliskData::Initialized
| protected

Definition at line 127 of file vtkBlueObeliskData.h.

## ◆ NumberOfElements

unsigned short vtkBlueObeliskData::NumberOfElements
| protected

Definition at line 145 of file vtkBlueObeliskData.h.

## ◆ Arrays

MyStdVectorOfVtkAbstractArrays* vtkBlueObeliskData::Arrays
| protected

Definition at line 148 of file vtkBlueObeliskData.h.

## ◆ Symbols

vtkNew<vtkStringArray> vtkBlueObeliskData::Symbols
| protected

Definition at line 151 of file vtkBlueObeliskData.h.

## ◆ LowerSymbols

vtkNew<vtkStringArray> vtkBlueObeliskData::LowerSymbols
| protected

Definition at line 152 of file vtkBlueObeliskData.h.

## ◆ Names

vtkNew<vtkStringArray> vtkBlueObeliskData::Names
| protected

Definition at line 155 of file vtkBlueObeliskData.h.

## ◆ LowerNames

vtkNew<vtkStringArray> vtkBlueObeliskData::LowerNames
| protected

Definition at line 156 of file vtkBlueObeliskData.h.

## ◆ PeriodicTableBlocks

vtkNew<vtkStringArray> vtkBlueObeliskData::PeriodicTableBlocks
| protected

Definition at line 159 of file vtkBlueObeliskData.h.

## ◆ ElectronicConfigurations

vtkNew<vtkStringArray> vtkBlueObeliskData::ElectronicConfigurations
| protected

Definition at line 160 of file vtkBlueObeliskData.h.

## ◆ Families

vtkNew<vtkStringArray> vtkBlueObeliskData::Families
| protected

Definition at line 161 of file vtkBlueObeliskData.h.

## ◆ Masses

vtkNew<vtkFloatArray> vtkBlueObeliskData::Masses
| protected

Definition at line 164 of file vtkBlueObeliskData.h.

## ◆ ExactMasses

vtkNew<vtkFloatArray> vtkBlueObeliskData::ExactMasses
| protected

Definition at line 165 of file vtkBlueObeliskData.h.

## ◆ IonizationEnergies

vtkNew<vtkFloatArray> vtkBlueObeliskData::IonizationEnergies
| protected

Definition at line 166 of file vtkBlueObeliskData.h.

## ◆ ElectronAffinities

vtkNew<vtkFloatArray> vtkBlueObeliskData::ElectronAffinities
| protected

Definition at line 167 of file vtkBlueObeliskData.h.

## ◆ PaulingElectronegativities

vtkNew<vtkFloatArray> vtkBlueObeliskData::PaulingElectronegativities
| protected

Definition at line 168 of file vtkBlueObeliskData.h.

## ◆ CovalentRadii

vtkNew<vtkFloatArray> vtkBlueObeliskData::CovalentRadii
| protected

Definition at line 169 of file vtkBlueObeliskData.h.

## ◆ VDWRadii

vtkNew<vtkFloatArray> vtkBlueObeliskData::VDWRadii
| protected

Definition at line 170 of file vtkBlueObeliskData.h.

## ◆ DefaultColors

vtkNew<vtkFloatArray> vtkBlueObeliskData::DefaultColors
| protected

Definition at line 171 of file vtkBlueObeliskData.h.

## ◆ BoilingPoints

vtkNew<vtkFloatArray> vtkBlueObeliskData::BoilingPoints
| protected

Definition at line 172 of file vtkBlueObeliskData.h.

## ◆ MeltingPoints

vtkNew<vtkFloatArray> vtkBlueObeliskData::MeltingPoints
| protected

Definition at line 173 of file vtkBlueObeliskData.h.

## ◆ Periods

vtkNew<vtkUnsignedShortArray> vtkBlueObeliskData::Periods
| protected

Definition at line 174 of file vtkBlueObeliskData.h.

## ◆ Groups

vtkNew<vtkUnsignedShortArray> vtkBlueObeliskData::Groups
| protected

Definition at line 175 of file vtkBlueObeliskData.h.

The documentation for this class was generated from the following file:

- Domains/Chemistry/vtkBlueObeliskData.h